core.tcp_support | index

`# Copyright 2011-2012 the original author or authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.`

Classes

``

__builtin__.object
  TCPSupport

class TCPSupport(__builtin__.object)
`` | `Mixin module that provides all the common TCP params that can be set.`

Methods defined here:

set_receive_buffer_size(self, bytes)
  `Set the TCP receive buffer size.
  Keyword arguments:
  @param bytes: The size in bytes.
  return a reference to self so invocations can be chained`

set_reuse_address(self, val)
  `Set the TCP reuse address setting.
  Keyword arguments:
  @param val: If true, then TCP reuse address will be enabled.
  @return: a reference to self so invocations can be chained`

set_send_buffer_size(self, bytes)
  `Set the TCP send buffer size.
  Keyword arguments:
  @param bytes: The size in bytes.
  return a reference to self so invocations can be chained`

set_so_linger(self, val)
  `Set the TCP so linger setting.
  Keyword arguments:
  @param val: If true, then TCP so linger will be enabled.
  return a reference to self so invocations can be chained`

set_tcp_keep_alive(self, val)
  `Set the TCP keep alive setting.
  Keyword arguments:
  @param val: If true, then TCP keep alive will be enabled.
  return a reference to self so invocations can be chained`

set_traffic_class(self, val)
  `Set the TCP traffic class setting.
  Keyword arguments:
  @param val: The TCP traffic class setting.
  return a reference to self so invocations can be chained`

Data descriptors defined here:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

receive_buffer_size

reuse_address

send_buffer_size

so_linger

tcp_keep_alive

traffic_class

Data
`` |  | __author__ = 'Scott Horn' __credits__ = 'Based entirely on work by Tim Fox http://tfox.org' __email__ = 'scott@hornmicro.com'

Author
`` |  | Scott Horn

Credits
`` |  | Based entirely on work by Tim Fox http://tfox.org